//Разделение данных на входные и выходные данные
function [nDatasRealizations,..//Число реализаций данных
          DatasDimension..//Размерность данных (всегда рпавна числу заголовков данных)
          ]=NDatas(Datas..//Данные, для которых нужно установить факт того, что они табличные данные
                   )
    //Проверяем входные данные
    nArg = argn(2);//Число результатов и аргументов соответственно
    if nArg < 1 then
        error('The function NDatas takes 1 argument');
    end
    
    //Проверяем корректность данных
    if ~IsTableDatas(Datas) then
        error('The argument Datas of functions NDatas must be string, real or boolean');
    end
    
    //Получаем числа данных
    [nDatasRealizations,DatasDimension] = size(Datas);
endfunction
