//Данные для тестирования
Datas = rand(69, 5);//Данные
AddingDatas = rand(75, 5);//Добавляемые данные

//Данные для проверки результата добавления
eDatas = [Datas;AddingDatas];

//Вызываем функцию
[cDatas,..//Данные после добавления данных
 cDatasHeaders..//Заголовки данных после добавления
 ]=AddDatas(Datas,..//Данные (исходные, к которым добавляем данные)
            AddingDatas,..//Добавляем данные
            [],..//Заголовки данных, к которым добавляем данные
            [],..//Заголовки добавляемых данных
            "r",..//Направление конкатенации ('r' - новые ряды, 'с' - новые колонки)
            %t..//Замена значений величины новыми (в случае пересечения столбцов)
            );

//Проверяем результат
assert_checkequal(type(cDatas),1);//Проверяем тип получившихся данных
assert_checktrue(abs(cDatas - eDatas) < 1E-12);
assert_checktrue(isempty(cDatasHeaders));

//Вызываем функцию
[cDatas,..//Данные после добавления данных
 cDatasHeaders..//Заголовки данных после добавления
 ]=AddDatas(Datas,..//Данные (исходные, к которым добавляем данные)
            AddingDatas,..//Добавляем данные
            [],..//Заголовки данных, к которым добавляем данные
            [],..//Заголовки добавляемых данных
            "r"..//Направление конкатенации ('r' - новые ряды, 'с' - новые колонки)
            );

//Проверяем результат
assert_checkequal(type(cDatas),1);//Проверяем тип получившихся данных
assert_checktrue(abs(cDatas - eDatas) < 1E-12);
assert_checktrue(isempty(cDatasHeaders));

//Вызываем функцию
[cDatas,..//Данные после добавления данных
 cDatasHeaders..//Заголовки данных после добавления
 ]=AddDatas(Datas,..//Данные (исходные, к которым добавляем данные)
            AddingDatas,..//Добавляем данные
            [],..//Заголовки данных, к которым добавляем данные
            []..//Заголовки добавляемых данных
            );

//Проверяем результат
assert_checkequal(type(cDatas),1);//Проверяем тип получившихся данных
assert_checktrue(abs(cDatas - eDatas) < 1E-12);
assert_checktrue(isempty(cDatasHeaders));

//Вызываем функцию
[cDatas,..//Данные после добавления данных
 cDatasHeaders..//Заголовки данных после добавления
 ]=AddDatas(Datas,..//Данные (исходные, к которым добавляем данные)
            AddingDatas,..//Добавляем данные
            [],..//Заголовки добавляемых данных
            "r",..//Направление конкатенации ('r' - новые ряды, 'с' - новые колонки)
            %t..//Замена значений величины новыми (в случае пересечения столбцов)
            );

//Проверяем результат
assert_checkequal(type(cDatas),1);//Проверяем тип получившихся данных
assert_checktrue(abs(cDatas - eDatas) < 1E-12);
assert_checktrue(isempty(cDatasHeaders));

//Вызываем функцию
[cDatas,..//Данные после добавления данных
 cDatasHeaders..//Заголовки данных после добавления
 ]=AddDatas(Datas,..//Данные (исходные, к которым добавляем данные)
            AddingDatas,..//Добавляем данные
            [],..//Заголовки добавляемых данных
            "r"..//Направление конкатенации ('r' - новые ряды, 'с' - новые колонки)
            );

//Проверяем результат
assert_checkequal(type(cDatas),1);//Проверяем тип получившихся данных
assert_checktrue(abs(cDatas - eDatas) < 1E-12);
assert_checktrue(isempty(cDatasHeaders));

//Вызываем функцию
[cDatas,..//Данные после добавления данных
 cDatasHeaders..//Заголовки данных после добавления
 ]=AddDatas(Datas,..//Данные (исходные, к которым добавляем данные)
            AddingDatas,..//Добавляем данные
            []..//Заголовки добавляемых данных
            );

//Проверяем результат
assert_checkequal(type(cDatas),1);//Проверяем тип получившихся данных
assert_checktrue(abs(cDatas - eDatas) < 1E-12);
assert_checktrue(isempty(cDatasHeaders));

//Вызываем функцию
[cDatas,..//Данные после добавления данных
 cDatasHeaders..//Заголовки данных после добавления
 ]=AddDatas(Datas,..//Данные (исходные, к которым добавляем данные)
            AddingDatas..//Добавляем данные
            );

//Проверяем результат
assert_checkequal(type(cDatas),1);//Проверяем тип получившихся данных
assert_checktrue(abs(cDatas - eDatas) < 1E-12);
assert_checktrue(isempty(cDatasHeaders));

//Проверяем конкатенацию данных с приведением типов к строке

//Приводим данные к строке
sDatas = string(Datas);
sAddingDatas = string(AddingDatas);
seDatas = string(eDatas);

//Вызываем функцию
[cDatas,..//Данные после добавления данных
 cDatasHeaders..//Заголовки данных после добавления
 ]=AddDatas(sDatas,..//Данные (исходные, к которым добавляем данные)
            AddingDatas,..//Добавляем данные
            [],..//Заголовки данных, к которым добавляем данные
            [],..//Заголовки добавляемых данных
            "r",..//Направление конкатенации ('r' - новые ряды, 'с' - новые колонки)
            %t..//Замена значений величины новыми (в случае пересечения столбцов)
            );

//Проверяем результат
assert_checkequal(type(cDatas),10);//Проверяем тип получившихся данных
assert_checkequal(cDatas,seDatas);
assert_checktrue(isempty(cDatasHeaders));

//Вызываем функцию
[cDatas,..//Данные после добавления данных
 cDatasHeaders..//Заголовки данных после добавления
 ]=AddDatas(sDatas,..//Данные (исходные, к которым добавляем данные)
            AddingDatas,..//Добавляем данные
            [],..//Заголовки данных, к которым добавляем данные
            [],..//Заголовки добавляемых данных
            "r"..//Направление конкатенации ('r' - новые ряды, 'с' - новые колонки)
            );

//Проверяем результат
assert_checkequal(type(cDatas),10);//Проверяем тип получившихся данных
assert_checkequal(cDatas,seDatas);
assert_checktrue(isempty(cDatasHeaders));

//Вызываем функцию
[cDatas,..//Данные после добавления данных
 cDatasHeaders..//Заголовки данных после добавления
 ]=AddDatas(sDatas,..//Данные (исходные, к которым добавляем данные)
            AddingDatas,..//Добавляем данные
            [],..//Заголовки данных, к которым добавляем данные
            []..//Заголовки добавляемых данных
            );

//Проверяем результат
assert_checkequal(type(cDatas),10);//Проверяем тип получившихся данных
assert_checkequal(cDatas,seDatas);
assert_checktrue(isempty(cDatasHeaders));

//Вызываем функцию
[cDatas,..//Данные после добавления данных
 cDatasHeaders..//Заголовки данных после добавления
 ]=AddDatas(sDatas,..//Данные (исходные, к которым добавляем данные)
            AddingDatas,..//Добавляем данные
            [],..//Заголовки добавляемых данных
            "r",..//Направление конкатенации ('r' - новые ряды, 'с' - новые колонки)
            %t..//Замена значений величины новыми (в случае пересечения столбцов)
            );

//Проверяем результат
assert_checkequal(type(cDatas),10);//Проверяем тип получившихся данных
assert_checkequal(cDatas,seDatas);
assert_checktrue(isempty(cDatasHeaders));

//Вызываем функцию
[cDatas,..//Данные после добавления данных
 cDatasHeaders..//Заголовки данных после добавления
 ]=AddDatas(sDatas,..//Данные (исходные, к которым добавляем данные)
            AddingDatas,..//Добавляем данные
            [],..//Заголовки добавляемых данных
            "r"..//Направление конкатенации ('r' - новые ряды, 'с' - новые колонки)
            );

//Проверяем результат
assert_checkequal(type(cDatas),10);//Проверяем тип получившихся данных
assert_checkequal(cDatas,seDatas);
assert_checktrue(isempty(cDatasHeaders));

//Вызываем функцию
[cDatas,..//Данные после добавления данных
 cDatasHeaders..//Заголовки данных после добавления
 ]=AddDatas(sDatas,..//Данные (исходные, к которым добавляем данные)
            AddingDatas,..//Добавляем данные
            []..//Заголовки добавляемых данных
            );

//Проверяем результат
assert_checkequal(type(cDatas),10);//Проверяем тип получившихся данных
assert_checkequal(cDatas,seDatas);
assert_checktrue(isempty(cDatasHeaders));

//Вызываем функцию
[cDatas,..//Данные после добавления данных
 cDatasHeaders..//Заголовки данных после добавления
 ]=AddDatas(sDatas,..//Данные (исходные, к которым добавляем данные)
            AddingDatas..//Добавляем данные
            );

//Проверяем результат
assert_checkequal(type(cDatas),10);//Проверяем тип получившихся данных
assert_checkequal(cDatas,seDatas);
assert_checktrue(isempty(cDatasHeaders));

//Вызываем функцию
[cDatas,..//Данные после добавления данных
 cDatasHeaders..//Заголовки данных после добавления
 ]=AddDatas(Datas,..//Данные (исходные, к которым добавляем данные)
            sAddingDatas,..//Добавляем данные
            [],..//Заголовки данных, к которым добавляем данные
            [],..//Заголовки добавляемых данных
            "r",..//Направление конкатенации ('r' - новые ряды, 'с' - новые колонки)
            %t..//Замена значений величины новыми (в случае пересечения столбцов)
            );

//Проверяем результат
assert_checkequal(type(cDatas),10);//Проверяем тип получившихся данных
assert_checkequal(cDatas,seDatas);
assert_checktrue(isempty(cDatasHeaders));

//Вызываем функцию
[cDatas,..//Данные после добавления данных
 cDatasHeaders..//Заголовки данных после добавления
 ]=AddDatas(Datas,..//Данные (исходные, к которым добавляем данные)
            sAddingDatas,..//Добавляем данные
            [],..//Заголовки данных, к которым добавляем данные
            [],..//Заголовки добавляемых данных
            "r"..//Направление конкатенации ('r' - новые ряды, 'с' - новые колонки)
            );

//Проверяем результат
assert_checkequal(type(cDatas),10);//Проверяем тип получившихся данных
assert_checkequal(cDatas,seDatas);
assert_checktrue(isempty(cDatasHeaders));

//Вызываем функцию
[cDatas,..//Данные после добавления данных
 cDatasHeaders..//Заголовки данных после добавления
 ]=AddDatas(Datas,..//Данные (исходные, к которым добавляем данные)
            sAddingDatas,..//Добавляем данные
            [],..//Заголовки данных, к которым добавляем данные
            []..//Заголовки добавляемых данных
            );

//Проверяем результат
assert_checkequal(type(cDatas),10);//Проверяем тип получившихся данных
assert_checkequal(cDatas,seDatas);
assert_checktrue(isempty(cDatasHeaders));

//Вызываем функцию
[cDatas,..//Данные после добавления данных
 cDatasHeaders..//Заголовки данных после добавления
 ]=AddDatas(Datas,..//Данные (исходные, к которым добавляем данные)
            sAddingDatas,..//Добавляем данные
            [],..//Заголовки добавляемых данных
            "r",..//Направление конкатенации ('r' - новые ряды, 'с' - новые колонки)
            %t..//Замена значений величины новыми (в случае пересечения столбцов)
            );

//Проверяем результат
assert_checkequal(type(cDatas),10);//Проверяем тип получившихся данных
assert_checkequal(cDatas,seDatas);
assert_checktrue(isempty(cDatasHeaders));

//Вызываем функцию
[cDatas,..//Данные после добавления данных
 cDatasHeaders..//Заголовки данных после добавления
 ]=AddDatas(Datas,..//Данные (исходные, к которым добавляем данные)
            sAddingDatas,..//Добавляем данные
            [],..//Заголовки добавляемых данных
            "r"..//Направление конкатенации ('r' - новые ряды, 'с' - новые колонки)
            );

//Проверяем результат
assert_checkequal(type(cDatas),10);//Проверяем тип получившихся данных
assert_checkequal(cDatas,seDatas);
assert_checktrue(isempty(cDatasHeaders));

//Вызываем функцию
[cDatas,..//Данные после добавления данных
 cDatasHeaders..//Заголовки данных после добавления
 ]=AddDatas(Datas,..//Данные (исходные, к которым добавляем данные)
            sAddingDatas,..//Добавляем данные
            []..//Заголовки добавляемых данных
            );

//Проверяем результат
assert_checkequal(type(cDatas),10);//Проверяем тип получившихся данных
assert_checkequal(cDatas,seDatas);
assert_checktrue(isempty(cDatasHeaders));

//Вызываем функцию
[cDatas,..//Данные после добавления данных
 cDatasHeaders..//Заголовки данных после добавления
 ]=AddDatas(Datas,..//Данные (исходные, к которым добавляем данные)
            sAddingDatas..//Добавляем данные
            );

//Проверяем результат
assert_checkequal(type(cDatas),10);//Проверяем тип получившихся данных
assert_checkequal(cDatas,seDatas);
assert_checktrue(isempty(cDatasHeaders));

//Проверяем конкатенацию с пустым множеством

//Вызываем функцию
[cDatas,..//Данные после добавления данных
 cDatasHeaders..//Заголовки данных после добавления
 ]=AddDatas([],..//Данные (исходные, к которым добавляем данные)
            AddingDatas,..//Добавляем данные
            [],..//Заголовки данных, к которым добавляем данные
            [],..//Заголовки добавляемых данных
            "r",..//Направление конкатенации ('r' - новые ряды, 'с' - новые колонки)
            %t..//Замена значений величины новыми (в случае пересечения столбцов)
            );

//Проверяем результат
assert_checkequal(type(cDatas),1);//Проверяем тип получившихся данных
assert_checktrue(abs(cDatas - AddingDatas) < 1E-12);
assert_checktrue(isempty(cDatasHeaders));

//Вызываем функцию
[cDatas,..//Данные после добавления данных
 cDatasHeaders..//Заголовки данных после добавления
 ]=AddDatas([],..//Данные (исходные, к которым добавляем данные)
            AddingDatas,..//Добавляем данные
            [],..//Заголовки данных, к которым добавляем данные
            [],..//Заголовки добавляемых данных
            "r"..//Направление конкатенации ('r' - новые ряды, 'с' - новые колонки)
            );

//Проверяем результат
assert_checkequal(type(cDatas),1);//Проверяем тип получившихся данных
assert_checktrue(abs(cDatas - AddingDatas) < 1E-12);
assert_checktrue(isempty(cDatasHeaders));

//Вызываем функцию
[cDatas,..//Данные после добавления данных
 cDatasHeaders..//Заголовки данных после добавления
 ]=AddDatas([],..//Данные (исходные, к которым добавляем данные)
            AddingDatas,..//Добавляем данные
            [],..//Заголовки данных, к которым добавляем данные
            []..//Заголовки добавляемых данных
            );

//Проверяем результат
assert_checkequal(type(cDatas),1);//Проверяем тип получившихся данных
assert_checktrue(abs(cDatas - AddingDatas) < 1E-12);
assert_checktrue(isempty(cDatasHeaders));

//Вызываем функцию
[cDatas,..//Данные после добавления данных
 cDatasHeaders..//Заголовки данных после добавления
 ]=AddDatas([],..//Данные (исходные, к которым добавляем данные)
            AddingDatas,..//Добавляем данные
            [],..//Заголовки добавляемых данных
            "r",..//Направление конкатенации ('r' - новые ряды, 'с' - новые колонки)
            %t..//Замена значений величины новыми (в случае пересечения столбцов)
            );

//Проверяем результат
assert_checkequal(type(cDatas),1);//Проверяем тип получившихся данных
assert_checktrue(abs(cDatas - AddingDatas) < 1E-12);
assert_checktrue(isempty(cDatasHeaders));

//Вызываем функцию
[cDatas,..//Данные после добавления данных
 cDatasHeaders..//Заголовки данных после добавления
 ]=AddDatas([],..//Данные (исходные, к которым добавляем данные)
            AddingDatas,..//Добавляем данные
            []..//Заголовки добавляемых данных
            );

//Проверяем результат
assert_checkequal(type(cDatas),1);//Проверяем тип получившихся данных
assert_checktrue(abs(cDatas - AddingDatas) < 1E-12);
assert_checktrue(isempty(cDatasHeaders));

//Вызываем функцию
[cDatas,..//Данные после добавления данных
 cDatasHeaders..//Заголовки данных после добавления
 ]=AddDatas([],..//Данные (исходные, к которым добавляем данные)
            AddingDatas..//Добавляем данные
            );

//Проверяем результат
assert_checkequal(type(cDatas),1);//Проверяем тип получившихся данных
assert_checktrue(abs(cDatas - AddingDatas) < 1E-12);
assert_checktrue(isempty(cDatasHeaders));

//Вызываем функцию
[cDatas,..//Данные после добавления данных
 cDatasHeaders..//Заголовки данных после добавления
 ]=AddDatas(Datas,..//Данные (исходные, к которым добавляем данные)
            [],..//Добавляем данные
            [],..//Заголовки данных, к которым добавляем данные
            [],..//Заголовки добавляемых данных
            "r",..//Направление конкатенации ('r' - новые ряды, 'с' - новые колонки)
            %t..//Замена значений величины новыми (в случае пересечения столбцов)
            );

//Проверяем результат
assert_checkequal(type(cDatas),1);//Проверяем тип получившихся данных
assert_checktrue(abs(cDatas - Datas) < 1E-12);
assert_checktrue(isempty(cDatasHeaders));

//Вызываем функцию
[cDatas,..//Данные после добавления данных
 cDatasHeaders..//Заголовки данных после добавления
 ]=AddDatas(Datas,..//Данные (исходные, к которым добавляем данные)
            [],..//Добавляем данные
            [],..//Заголовки данных, к которым добавляем данные
            [],..//Заголовки добавляемых данных
            "r"..//Направление конкатенации ('r' - новые ряды, 'с' - новые колонки)
            );

//Проверяем результат
assert_checkequal(type(cDatas),1);//Проверяем тип получившихся данных
assert_checktrue(abs(cDatas - Datas) < 1E-12);
assert_checktrue(isempty(cDatasHeaders));

//Вызываем функцию
[cDatas,..//Данные после добавления данных
 cDatasHeaders..//Заголовки данных после добавления
 ]=AddDatas(Datas,..//Данные (исходные, к которым добавляем данные)
            [],..//Добавляем данные
            [],..//Заголовки данных, к которым добавляем данные
            []..//Заголовки добавляемых данных
            );

//Проверяем результат
assert_checkequal(type(cDatas),1);//Проверяем тип получившихся данных
assert_checktrue(abs(cDatas - Datas) < 1E-12);
assert_checktrue(isempty(cDatasHeaders));

//Вызываем функцию
[cDatas,..//Данные после добавления данных
 cDatasHeaders..//Заголовки данных после добавления
 ]=AddDatas(Datas,..//Данные (исходные, к которым добавляем данные)
            [],..//Добавляем данные
            [],..//Заголовки добавляемых данных
            "r",..//Направление конкатенации ('r' - новые ряды, 'с' - новые колонки)
            %t..//Замена значений величины новыми (в случае пересечения столбцов)
            );

//Проверяем результат
assert_checkequal(type(cDatas),1);//Проверяем тип получившихся данных
assert_checktrue(abs(cDatas - Datas) < 1E-12);
assert_checktrue(isempty(cDatasHeaders));

//Вызываем функцию
[cDatas,..//Данные после добавления данных
 cDatasHeaders..//Заголовки данных после добавления
 ]=AddDatas(Datas,..//Данные (исходные, к которым добавляем данные)
            [],..//Добавляем данные
            [],..//Заголовки добавляемых данных
            "r"..//Направление конкатенации ('r' - новые ряды, 'с' - новые колонки)
            );

//Проверяем результат
assert_checkequal(type(cDatas),1);//Проверяем тип получившихся данных
assert_checktrue(abs(cDatas -Datas) < 1E-12);
assert_checktrue(isempty(cDatasHeaders));

//Вызываем функцию
[cDatas,..//Данные после добавления данных
 cDatasHeaders..//Заголовки данных после добавления
 ]=AddDatas(Datas,..//Данные (исходные, к которым добавляем данные)
            [],..//Добавляем данные
            []..//Заголовки добавляемых данных
            );

//Проверяем результат
assert_checkequal(type(cDatas),1);//Проверяем тип получившихся данных
assert_checktrue(abs(cDatas - Datas) < 1E-12);
assert_checktrue(isempty(cDatasHeaders));

//Вызываем функцию
[cDatas,..//Данные после добавления данных
 cDatasHeaders..//Заголовки данных после добавления
 ]=AddDatas(Datas,..//Данные (исходные, к которым добавляем данные)
            []..//Добавляем данные
            );

//Проверяем результат
assert_checkequal(type(cDatas),1);//Проверяем тип получившихся данных
assert_checktrue(abs(cDatas - Datas) < 1E-12);
assert_checktrue(isempty(cDatasHeaders));

clear;
