//Данные для тестирования
Datas = rand(21, 5);//Данные
isVectorized = %f;

//Функции для тестирования
function [y]=Fun(x)
    function y=F1(t)//Функция правой части
        y = 0.45*tan(t) + t - 8.1*x(1)^2 - 0.171*x(2)^2;
    endfunction
    function y=F2(t)//Функция правой части
        y = 0.33*t^5 + t - 2.1*x(1)^2 - 0.471*x(2)^2;
    endfunction
    y = [fsolve(0.0,F1),fsolve(0.0,F2),2.1*x(1)^3 - 0.471*x(2)^4];
endfunction
argumentsNames = [1, 3];

//Тестовый результат
eRezults = [];
for ind=1:21
    eRezults = [eRezults;Fun(Datas(ind,[1, 3]))];
end

//Запускаем функцию
Rezults = CountFunction(Datas,..//Входные данные
                        [],..//Заголовки входных данных
                        Fun,..//Функция
                        argumentsNames,..//Имена (индексы) аргументов
                        isVectorized..//Векторизованы ли функции
                        );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);

//Запускаем функцию
Rezults = CountFunction(Datas,..//Входные данные
                        [],..//Заголовки входных данных
                        'Fun',..//Функция
                        argumentsNames,..//Имена (индексы) аргументов
                        isVectorized..//Векторизованы ли функции
                        );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);

//Запускаем функцию
Rezults = CountFunction(Datas,..//Входные данные
                        Fun,..//Функция
                        argumentsNames,..//Имена (индексы) аргументов
                        isVectorized..//Векторизованы ли функции
                        );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);

//Запускаем функцию
Rezults = CountFunction(Datas,..//Входные данные
                        'Fun',..//Функция
                        argumentsNames,..//Имена (индексы) аргументов
                        isVectorized..//Векторизованы ли функции
                        );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);

clear;
