//Данные для тестирования
DatasHeaders = ['A1','T1','A2','D3','B2'];//Заголовки данных
Datas = rand(21, 5);//Данные
isVectorized = %t;

//Функции для тестирования
function [y]=Fun(x)
    y = 0.33*x.^3 + 5.7*x.^2 + 6.1*exp(-abs(x));
endfunction

//Тестовый результат
eRezults = Fun(Datas);

//Запускаем функцию
Rezults = CountFunction(Datas,..//Входные данные
                        DatasHeaders,..//Заголовки входных данных
                        Fun,..//Функция
                        [],..//Имена (индексы) аргументов
                        isVectorized..//Векторизованы ли функции
                        );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);

//Запускаем функцию
Rezults = CountFunction(Datas,..//Входные данные
                        DatasHeaders,..//Заголовки входных данных
                        'Fun',..//Функция
                        [],..//Имена (индексы) аргументов
                        isVectorized..//Векторизованы ли функции
                        );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);

//Запускаем функцию
Rezults = CountFunction(Datas,..//Входные данные
                        DatasHeaders,..//Заголовки входных данных
                        Fun,..//Функция
                        []..//Имена (индексы) аргументов
                        );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);

//Запускаем функцию
Rezults = CountFunction(Datas,..//Входные данные
                        DatasHeaders,..//Заголовки входных данных
                        'Fun',..//Функция
                        []..//Имена (индексы) аргументов
                        );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);

//Запускаем функцию
Rezults = CountFunction(Datas,..//Входные данные
                        [],..//Заголовки входных данных
                        Fun,..//Функция
                        [],..//Имена (индексы) аргументов
                        isVectorized..//Векторизованы ли функции
                        );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);

//Запускаем функцию
Rezults = CountFunction(Datas,..//Входные данные
                        [],..//Заголовки входных данных
                        'Fun',..//Функция
                        [],..//Имена (индексы) аргументов
                        isVectorized..//Векторизованы ли функции
                        );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);

//Запускаем функцию
Rezults = CountFunction(Datas,..//Входные данные
                        [],..//Заголовки входных данных
                        Fun,..//Функция
                        []..//Имена (индексы) аргументов
                        );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);

//Запускаем функцию
Rezults = CountFunction(Datas,..//Входные данные
                        [],..//Заголовки входных данных
                        'Fun',..//Функция
                        []..//Имена (индексы) аргументов
                        );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);

//Запускаем функцию
Rezults = CountFunction(Datas,..//Входные данные
                        Fun,..//Функция
                        isVectorized..//Векторизованы ли функции
                        );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);

//Запускаем функцию
Rezults = CountFunction(Datas,..//Входные данные
                        'Fun',..//Функция
                        isVectorized..//Векторизованы ли функции
                        );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);

//Запускаем функцию
Rezults = CountFunction(Datas,..//Входные данные
                        Fun..//Функция
                        );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);

//Запускаем функцию
Rezults = CountFunction(Datas,..//Входные данные
                        'Fun'..//Функция
                        );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);

clear;
