//Данные для тестирования
DatasHeaders = ['A1','T1','A2','D3','B2'];//Заголовки данных
Datas = rand(21, 5);//Данные
isVectorized = %t;

//Функции для тестирования
function [y]=FunP(x,a,b,c)
    y = a*x.^3 + b*x.^2 + c*exp(-abs(x));
endfunction
Fun = list(FunP,0.33,1.5,3.9);
argumentsNames = ['A1','D3'];

//Тестовый результат
eRezults = FunP(Datas(:,[1, 4]),0.33,1.5,3.9);

//Запускаем функцию
Rezults = CountFunction(Datas,..//Входные данные
                        DatasHeaders,..//Заголовки входных данных
                        Fun,..//Функция
                        argumentsNames,..//Имена (индексы) аргументов
                        isVectorized..//Векторизованы ли функции
                        );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);

//Запускаем функцию
Rezults = CountFunction(Datas,..//Входные данные
                        DatasHeaders,..//Заголовки входных данных
                        Fun,..//Функция
                        argumentsNames..//Имена (индексы) аргументов
                        );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);

Fun = list('FunP',0.33,1.5,3.9);

//Запускаем функцию
Rezults = CountFunction(Datas,..//Входные данные
                        DatasHeaders,..//Заголовки входных данных
                        Fun,..//Функция
                        argumentsNames,..//Имена (индексы) аргументов
                        isVectorized..//Векторизованы ли функции
                        );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);

//Запускаем функцию
Rezults = CountFunction(Datas,..//Входные данные
                        DatasHeaders,..//Заголовки входных данных
                        Fun,..//Функция
                        argumentsNames..//Имена (индексы) аргументов
                        );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);

clear;
