//Данные для тестирования
DatasHeaders = ['Ad1','Bw1','Ar2','C3','Yew2','A2','A3','C1','Cc5'];//Заголовки данных
Datas = rand(51, 9);//Данные
isVectorized = %f;//Все функции векторизованы

//Функции для тестирования
function [y]=FunP(x,a)
    function y=F(t)//Функция правой части
        y = tan(t) + t - a*x(2)^2 - 0.111*x(3)^2 - x(1);
    endfunction
    y = fsolve(0.0,F);
endfunction
Fun = list(FunP,0.333);
argumentsNames = ['Bw1','C3','A3'];

//Тестовый результат
eRezults = [];
for ind=1:51
    eRezults = [eRezults;FunP(Datas(ind,[2, 4, 7]),0.333)];
end

//Запускаем функцию
Rezults = CountFunction(Datas,..//Входные данные
                        DatasHeaders,..//Заголовки входных данных
                        Fun,..//Функция
                        argumentsNames,..//Имена (индексы) аргументов
                        isVectorized..//Векторизованы ли функции
                        );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);

Fun = list('FunP',0.333);

//Запускаем функцию
Rezults = CountFunction(Datas,..//Входные данные
                        DatasHeaders,..//Заголовки входных данных
                        Fun,..//Функция
                        argumentsNames,..//Имена (индексы) аргументов
                        isVectorized..//Векторизованы ли функции
                        );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);

clear;

clear;
