//Данные для тестирования
DatasHeaders = ['A1','T1','A2','D3','B2'];//Заголовки данных
Datas = rand(21, 5);//Данные
isVectorized = %f;

//Функции для тестирования
function [y]=FunP(x,a,b,c,d)
    function y=F1(t)//Функция правой части
        y = a*tan(t) + t - b*x(1)^2 - 0.171*x(2)^2;
    endfunction
    function y=F2(t)//Функция правой части
        y = 0.33*t^5 + t - 2.1*x(1)^2 - d*x(2)^2;
    endfunction
    y = [fsolve(0.0,F1),fsolve(0.0,F2),2.1*x(1)^3 - c*x(2)^4];
endfunction
Fun = list(FunP,3.3,2.1,4.5,6.69);
argumentsNames = ['A1','A2'];

//Тестовый результат
eRezults = [];
for ind=1:21
    eRezults = [eRezults;FunP(Datas(ind,[1, 3]),3.3,2.1,4.5,6.69)];
end

//Запускаем функцию
Rezults = CountFunction(Datas,..//Входные данные
                        DatasHeaders,..//Заголовки входных данных
                        Fun,..//Функция
                        argumentsNames,..//Имена (индексы) аргументов
                        isVectorized..//Векторизованы ли функции
                        );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);

Fun = list('FunP',3.3,2.1,4.5,6.69);

//Запускаем функцию
Rezults = CountFunction(Datas,..//Входные данные
                        DatasHeaders,..//Заголовки входных данных
                        Fun,..//Функция
                        argumentsNames,..//Имена (индексы) аргументов
                        isVectorized..//Векторизованы ли функции
                        );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);

clear;
