//Данные для тестирования
DatasHeaders = ['A1','T1','A2','D3','B2'];//Заголовки данных
Datas = rand(21, 5);//Данные
isVectorized = %t;

//Функции для тестирования
function [y]=FunP(x,a,b,c)
    y = a*x.^3 + b*x.^2 + b*exp(-abs(x));
endfunction
Fun = list(FunP,0.69,4.59,2.1);

//Тестовый результат
eRezults = FunP(Datas,0.69,4.59,2.1);

//Запускаем функцию
Rezults = CountFunction(Datas,..//Входные данные
                        DatasHeaders,..//Заголовки входных данных
                        Fun,..//Функция
                        [],..//Имена (индексы) аргументов
                        isVectorized..//Векторизованы ли функции
                        );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);

//Запускаем функцию
Rezults = CountFunction(Datas,..//Входные данные
                        DatasHeaders,..//Заголовки входных данных
                        Fun,..//Функция
                        []..//Имена (индексы) аргументов
                        );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);

//Запускаем функцию
Rezults = CountFunction(Datas,..//Входные данные
                        [],..//Заголовки входных данных
                        Fun,..//Функция
                        [],..//Имена (индексы) аргументов
                        isVectorized..//Векторизованы ли функции
                        );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);

//Запускаем функцию
Rezults = CountFunction(Datas,..//Входные данные
                        [],..//Заголовки входных данных
                        Fun,..//Функция
                        []..//Имена (индексы) аргументов
                        );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);

//Запускаем функцию
Rezults = CountFunction(Datas,..//Входные данные
                        Fun,..//Функция
                        isVectorized..//Векторизованы ли функции
                        );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);

//Запускаем функцию
Rezults = CountFunction(Datas,..//Входные данные
                        Fun..//Функция
                        );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);

Fun = list('FunP',0.69,4.59,2.1);

//Запускаем функцию
Rezults = CountFunction(Datas,..//Входные данные
                        DatasHeaders,..//Заголовки входных данных
                        Fun,..//Функция
                        [],..//Имена (индексы) аргументов
                        isVectorized..//Векторизованы ли функции
                        );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);

//Запускаем функцию
Rezults = CountFunction(Datas,..//Входные данные
                        DatasHeaders,..//Заголовки входных данных
                        Fun,..//Функция
                        []..//Имена (индексы) аргументов
                        );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);

//Запускаем функцию
Rezults = CountFunction(Datas,..//Входные данные
                        [],..//Заголовки входных данных
                        Fun,..//Функция
                        [],..//Имена (индексы) аргументов
                        isVectorized..//Векторизованы ли функции
                        );

//Запускаем функцию
Rezults = CountFunction(Datas,..//Входные данные
                        [],..//Заголовки входных данных
                        Fun,..//Функция
                        []..//Имена (индексы) аргументов
                        );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);

//Запускаем функцию
Rezults = CountFunction(Datas,..//Входные данные
                        Fun,..//Функция
                        isVectorized..//Векторизованы ли функции
                        );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);

//Запускаем функцию
Rezults = CountFunction(Datas,..//Входные данные
                        Fun..//Функция
                        );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);

clear;
