//Данные для тестирования
DatasHeaders = ['Ad1','Bw1','Ar2','C3','Yew2','A2','A3','C1','Cc5'];//Заголовки данных
Datas = rand(51, 9);//Данные
isVectorized = %f;//Все функции векторизованы

//Функции для тестирования
function [y]=FunP(x,a,b,c)
    function y=F1(t)//Функция правой части
        y = tan(t) + t - a*x(1)^2 - c*x(2)^2;
    endfunction
    function y=F2(t)//Функция правой части
        y = t^3 + t - 2.1*x(1)^2 - b*x(2)^2;
    endfunction
    y = [fsolve(0.0,F1),fsolve(0.0,F2)];
endfunction
Fun = list(FunP,8.1,6.3,1.11);

//Тестовый результат
eRezults = [];
for ind=1:51
    eRezults = [eRezults;FunP(Datas(ind,:),8.1,6.3,1.11)];
end

//Запускаем функцию
Rezults = CountFunction(Datas,..//Входные данные
                        DatasHeaders,..//Заголовки входных данных
                        Fun,..//Функция
                        [],..//Имена (индексы) аргументов
                        isVectorized..//Векторизованы ли функции
                        );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);

//Запускаем функцию
Rezults = CountFunction(Datas,..//Входные данные
                        [],..//Заголовки входных данных
                        Fun,..//Функция
                        [],..//Имена (индексы) аргументов
                        isVectorized..//Векторизованы ли функции
                        );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);

//Запускаем функцию
Rezults = CountFunction(Datas,..//Входные данные
                        Fun,..//Функция
                        isVectorized..//Векторизованы ли функции
                        );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);

Fun = list('FunP',8.1,6.3,1.11);

//Запускаем функцию
Rezults = CountFunction(Datas,..//Входные данные
                        DatasHeaders,..//Заголовки входных данных
                        Fun,..//Функция
                        [],..//Имена (индексы) аргументов
                        isVectorized..//Векторизованы ли функции
                        );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);

//Запускаем функцию
Rezults = CountFunction(Datas,..//Входные данные
                        [],..//Заголовки входных данных
                        Fun,..//Функция
                        [],..//Имена (индексы) аргументов
                        isVectorized..//Векторизованы ли функции
                        );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);

//Запускаем функцию
Rezults = CountFunction(Datas,..//Входные данные
                        Fun,..//Функция
                        isVectorized..//Векторизованы ли функции
                        );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);

clear;
