//Данные для тестирования
DatasHeaders = ['Q1','P1','Q2','Q3','P2','Q4','P5'];//Заголовки данных
Datas = rand(27, 7);//Данные
isVectorized = %t;//Все функции векторизованы

//Функции для тестирования
function [y]=FunP(x,a)
    y = a*x.^2 + 5.1*x + 6.1*sin(x) - 1.5;
endfunction
Fun = list(FunP,0.3);
argumentsNames = ['P1','Q3'];

//Тестовый результат
eRezults = FunP(Datas(:,[2, 4]),0.3);

//Запускаем функцию
Rezults = CountRezults(Datas,..//Входные данные
                       DatasHeaders,..//Заголовки входных данных
                       Fun,..//Функции
                       argumentsNames,..//Имена (индексы) аргументов
                       [],..//Имена (индексы) результатов
                       isVectorized..//Векторизованы ли функции
                       );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);

//Запускаем функцию
Rezults = CountRezults(Datas,..//Входные данные
                       DatasHeaders,..//Заголовки входных данных
                       Fun,..//Функции
                       argumentsNames,..//Имена (индексы) аргументов
                       []..//Имена (индексы) результатов
                       );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);

//Запускаем функцию
[Rezults,..
 RezultsHeader] = CountRezults(Datas,..//Входные данные
                               DatasHeaders,..//Заголовки входных данных
                               Fun,..//Функции
                               argumentsNames,..//Имена (индексы) аргументов
                               [],..//Имена (индексы) результатов
                               isVectorized..//Векторизованы ли функции
                               );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);
assert_checktrue(isempty(RezultsHeader));

//Запускаем функцию
[Rezults,..
 RezultsHeader] = CountRezults(Datas,..//Входные данные
                               DatasHeaders,..//Заголовки входных данных
                               Fun,..//Функции
                               argumentsNames,..//Имена (индексы) аргументов
                               []..//Имена (индексы) результатов
                               );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);
assert_checktrue(isempty(RezultsHeader));

clear;
