//Данные для тестирования
Datas = rand(27, 7);//Данные
isVectorized = %t;//Все функции векторизованы

//Функции для тестирования
function [y]=Fun(x)
    y = 0.3*x.^2 + 5.1*x + 6.1*sin(x) - 1.5;
endfunction
argumentsNames = [2, 4];
rezultsNames = ['eP1','eQ3'];

//Тестовый результат
eRezults = Fun(Datas(:,[2, 4]));
eRezultsHeaders = ['eP1','eQ3'];

//Запускаем функцию
Rezults = CountRezults(Datas,..//Входные данные
                       [],..//Заголовки входных данных
                       Fun,..//Функции
                       argumentsNames,..//Имена (индексы) аргументов
                       rezultsNames,..//Имена (индексы) выходных значений функций
                       isVectorized..//Векторизованы ли функции
                       );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);

//Запускаем функцию
[Rezults,..
 RezultsHeaders] = CountRezults(Datas,..//Входные данные
                                [],..//Заголовки входных данных
                                Fun,..//Функции
                                argumentsNames,..//Имена (индексы) аргументов
                                rezultsNames,..//Имена (индексы) выходных значений функций
                                isVectorized..//Векторизованы ли функции
                                );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);
assert_checkequal(RezultsHeaders,eRezultsHeaders);

//Запускаем функцию
Rezults = CountRezults(Datas,..//Входные данные
                       Fun,..//Функции
                       argumentsNames,..//Имена (индексы) аргументов
                       rezultsNames,..//Имена (индексы) выходных значений функций
                       isVectorized..//Векторизованы ли функции
                       );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);

//Запускаем функцию
[Rezults,..
 RezultsHeaders] = CountRezults(Datas,..//Входные данные
                                Fun,..//Функции
                                argumentsNames,..//Имена (индексы) аргументов
                                rezultsNames,..//Имена (индексы) выходных значений функций
                                isVectorized..//Векторизованы ли функции
                                );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);
assert_checkequal(RezultsHeaders,eRezultsHeaders);

//Запускаем функцию
Rezults = CountRezults(Datas,..//Входные данные
                       [],..//Заголовки входных данных
                       Fun,..//Функции
                       argumentsNames,..//Имена (индексы) аргументов
                       rezultsNames..//Имена (индексы) результатов
                       );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);

//Запускаем функцию
[Rezults,..
 RezultsHeaders] = CountRezults(Datas,..//Входные данные
                                [],..//Заголовки входных данных
                                Fun,..//Функции
                                argumentsNames,..//Имена (индексы) аргументов
                                rezultsNames..//Имена (индексы) результатов
                                );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);
assert_checkequal(RezultsHeaders,eRezultsHeaders);

//Запускаем функцию
Rezults = CountRezults(Datas,..//Входные данные
                       Fun,..//Функции
                       argumentsNames,..//Имена (индексы) аргументов
                       rezultsNames..//Имена (индексы) результатов
                       );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);

//Запускаем функцию
[Rezults,..
 RezultsHeaders] = CountRezults(Datas,..//Входные данные
                                Fun,..//Функции
                                argumentsNames,..//Имена (индексы) аргументов
                                rezultsNames..//Имена (индексы) результатов
                                );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);
assert_checkequal(RezultsHeaders,eRezultsHeaders);

//Запускаем функцию
Rezults = CountRezults(Datas,..//Входные данные
                       [],..//Заголовки входных данных
                       'Fun',..//Функции
                       argumentsNames,..//Имена (индексы) аргументов
                       rezultsNames,..//Имена (индексы) выходных значений функций
                       isVectorized..//Векторизованы ли функции
                       );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);

//Запускаем функцию
[Rezults,..
 RezultsHeaders] = CountRezults(Datas,..//Входные данные
                                [],..//Заголовки входных данных
                                'Fun',..//Функции
                                argumentsNames,..//Имена (индексы) аргументов
                                rezultsNames,..//Имена (индексы) выходных значений функций
                                isVectorized..//Векторизованы ли функции
                                );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);
assert_checkequal(RezultsHeaders,eRezultsHeaders);

//Запускаем функцию
Rezults = CountRezults(Datas,..//Входные данные
                       'Fun',..//Функции
                       argumentsNames,..//Имена (индексы) аргументов
                       rezultsNames,..//Имена (индексы) выходных значений функций
                       isVectorized..//Векторизованы ли функции
                       );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);

//Запускаем функцию
[Rezults,..
 RezultsHeaders] = CountRezults(Datas,..//Входные данные
                                'Fun',..//Функции
                                argumentsNames,..//Имена (индексы) аргументов
                                rezultsNames,..//Имена (индексы) выходных значений функций
                                isVectorized..//Векторизованы ли функции
                                );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);
assert_checkequal(RezultsHeaders,eRezultsHeaders);

//Запускаем функцию
Rezults = CountRezults(Datas,..//Входные данные
                       [],..//Заголовки входных данных
                       'Fun',..//Функции
                       argumentsNames,..//Имена (индексы) аргументов
                       rezultsNames..//Имена (индексы) результатов
                       );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);

//Запускаем функцию
[Rezults,..
 RezultsHeaders] = CountRezults(Datas,..//Входные данные
                                [],..//Заголовки входных данных
                                'Fun',..//Функции
                                argumentsNames,..//Имена (индексы) аргументов
                                rezultsNames..//Имена (индексы) результатов
                                );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);
assert_checkequal(RezultsHeaders,eRezultsHeaders);

//Запускаем функцию
Rezults = CountRezults(Datas,..//Входные данные
                       'Fun',..//Функции
                       argumentsNames,..//Имена (индексы) аргументов
                       rezultsNames..//Имена (индексы) результатов
                       );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);

//Запускаем функцию
[Rezults,..
 RezultsHeaders] = CountRezults(Datas,..//Входные данные
                                'Fun',..//Функции
                                argumentsNames,..//Имена (индексы) аргументов
                                rezultsNames..//Имена (индексы) результатов
                                );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);
assert_checkequal(RezultsHeaders,eRezultsHeaders);

clear;
