//Данные для тестирования
DatasHeaders = ['Q1','P1','Q2','Q3','P2','Q4','P5'];//Заголовки данных
Datas = rand(27, 7);//Данные
isVectorized = %t;//Все функции векторизованы

//Функции для тестирования
function [y]=Fun1(x)
    y = 0.3*x.^2 + 5.1*x + 6.1*sin(x) - 1.5;
endfunction
function [y]=Fun2(x)
    y = 0.3*x.^3 + 5.1*x + 6.63*cos(x) - 1.83;
endfunction
function [y]=Fun3(x)
    y = -0.3*x.^5 + 5.1*x.^3 + 6.7*cos(x).^2 + 0.51;
endfunction
Functions = cell(1, 3);//Список функций для тестирования
Functions{1} = Fun1;
Functions{2} = 'Fun2';
Functions{3} = Fun3;

//Тестовый результат
eRezults = [Fun1(Datas),..
            Fun2(Datas),..
            Fun3(Datas)];

//Запускаем функцию
Rezults = CountRezults(Datas,..//Входные данные
                       DatasHeaders,..//Заголовки входных данных
                       Functions,..//Функции
                       [],..//Имена (индексы) аргументов
                       [],..//Имена (индексы) результатов
                       isVectorized..//Векторизованы ли функции
                       );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);

//Запускаем функцию
Rezults = CountRezults(Datas,..//Входные данные
                       DatasHeaders,..//Заголовки входных данных
                       Functions,..//Функции
                       [],..//Имена (индексы) аргументов
                       []..//Имена (индексы) результатов
                       );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);

//Запускаем функцию
[Rezults,..
 RezultsHeader] = CountRezults(Datas,..//Входные данные
                               DatasHeaders,..//Заголовки входных данных
                               Functions,..//Функции
                               [],..//Имена (индексы) аргументов
                               [],..//Имена (индексы) результатов
                               isVectorized..//Векторизованы ли функции
                               );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);
assert_checktrue(isempty(RezultsHeader));

//Запускаем функцию
[Rezults,..
 RezultsHeader] = CountRezults(Datas,..//Входные данные
                               DatasHeaders,..//Заголовки входных данных
                               Functions,..//Функции
                               [],..//Имена (индексы) аргументов
                               []..//Имена (индексы) результатов
                               );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);
assert_checktrue(isempty(RezultsHeader));

//Задаем функции в виде массива строк
Functions = ['Fun1','Fun2','Fun3'];

//Запускаем функцию
Rezults = CountRezults(Datas,..//Входные данные
                       DatasHeaders,..//Заголовки входных данных
                       Functions,..//Функции
                       [],..//Имена (индексы) аргументов
                       [],..//Имена (индексы) результатов
                       isVectorized..//Векторизованы ли функции
                       );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);

//Запускаем функцию
Rezults = CountRezults(Datas,..//Входные данные
                       DatasHeaders,..//Заголовки входных данных
                       Functions,..//Функции
                       [],..//Имена (индексы) аргументов
                       []..//Имена (индексы) результатов
                       );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);

//Запускаем функцию
[Rezults,..
 RezultsHeader] = CountRezults(Datas,..//Входные данные
                               DatasHeaders,..//Заголовки входных данных
                               Functions,..//Функции
                               [],..//Имена (индексы) аргументов
                               [],..//Имена (индексы) результатов
                               isVectorized..//Векторизованы ли функции
                               );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);
assert_checktrue(isempty(RezultsHeader));

//Запускаем функцию
[Rezults,..
 RezultsHeader] = CountRezults(Datas,..//Входные данные
                               DatasHeaders,..//Заголовки входных данных
                               Functions,..//Функции
                               [],..//Имена (индексы) аргументов
                               []..//Имена (индексы) результатов
                               );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);
assert_checktrue(isempty(RezultsHeader));

clear;
