//Данные для тестирования
Datas = rand(51, 9);//Данные
isVectorized = %f;//Все функции векторизованы

//Функции для тестирования
function [y]=Fun(x)
    function y=F1(t)//Функция правой части
        y = tan(t) + t - 8.1*x(1)^2 - 0.171*x(2)^2;
    endfunction
    function y=F2(t)//Функция правой части
        y = t^3 + t - 2.1*x(1)^2 - 0.471*x(2)^2;
    endfunction
    y = [fsolve(0.0,F1),fsolve(0.0,F2)];
endfunction
rezultsNames = ['eCc5','eC1'];

//Тестовый результат
eRezults = [];
for ind=1:51
    eRezults = [eRezults;Fun(Datas(ind,:))];
end
eRezultsHeaders = ['eCc5','eC1'];

//Запускаем функцию
Rezults = CountRezults(Datas,..//Входные данные
                       [],..//Заголовки входных данных
                       Fun,..//Функции
                       [],..//Имена (индексы) аргументов
                       rezultsNames,..//Имена (индексы) результатов
                       isVectorized..//Векторизованы ли функции
                       );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);

//Запускаем функцию
[Rezults,..
 RezultsHeaders] = CountRezults(Datas,..//Входные данные
                                [],..//Заголовки входных данных
                                Fun,..//Функции
                                [],..//Имена (индексы) аргументов
                                rezultsNames,..//Имена (индексы) результатов
                                isVectorized..//Векторизованы ли функции
                                );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);
assert_checkequal(RezultsHeaders,eRezultsHeaders);

//Запускаем функцию
Rezults = CountRezults(Datas,..//Входные данные
                       Fun,..//Функции
                       [],..//Имена (индексы) аргументов
                       rezultsNames,..//Имена (индексы) результатов
                       isVectorized..//Векторизованы ли функции
                       );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);

//Запускаем функцию
[Rezults,..
 RezultsHeaders] = CountRezults(Datas,..//Входные данные
                                Fun,..//Функции
                                [],..//Имена (индексы) аргументов
                                rezultsNames,..//Имена (индексы) результатов
                                isVectorized..//Векторизованы ли функции
                                );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);
assert_checkequal(RezultsHeaders,eRezultsHeaders);

clear;
