[a,path] = libraryinfo('io_data_integrationlib');
clear a;
path = part(path,1:(length(path) - length('macros'))) + 'testCSV' + filesep();//Путь к csv-файлам

//Данные для тестирования
Datas = rand(21, 5);//Данные
CSVFileName = path + 'rwdatas15.csv';

//Запускаем функцию
datasCSV = DatasToCSVFile(Datas,..//Входные данные
                          [],..//Перезаписываем файл
                          CSVFileName..//Имя файла данных
                          );

//Проверяем полученный результат
assert_checkequal(datasCSV,string(Datas));

//Проверяем считанный из файла результат
datasCSV = read_csv(CSVFileName);
assert_checkequal(datasCSV,string(Datas));

clear;
