//Данные для тестирования
DatasHeaders = ['C1','AT1','C2','F3','D2'];//Заголовки данных
Datas = rand(39, 5);//Данные
SelectedDatasHeadersI = ['At2'];//Заголовки выделяемых входных данных
SelectedDatasHeadersO = ['Re2','rw1'];//Заголовки выделяемых выходных данных

//Запускаем функцию
[inputData,..//Входные данные
 outputData,..//Выходные данные
 inputHeader,..//Заголовки (или индексы в случае без заголовков) входных данных
 outputHeader..//заголовки (или индексы в случае без заголовков) выходных данных
 ]=InputOutputDataSplit(DatasHeaders,..//Заголовок таблицы данных (еще не разделенных)
                        Datas,..//Данные (отдельно от заголовка, не разделенные)
                        SelectedDatasHeadersI,..//Заголовок входных данных
                        SelectedDatasHeadersO..//Заголовок выходных данных
                        );
                  
//Проверяем результаты
assert_checktrue(isempty(inputData));
assert_checktrue(isempty(outputData));
assert_checktrue(isempty(inputHeader));
assert_checktrue(isempty(outputHeader));

//Запускаем функцию
[inputData,..//Входные данные
 outputData,..//Выходные данные
 inputHeader,..//Заголовки (или индексы в случае без заголовков) входных данных
 outputHeader..//заголовки (или индексы в случае без заголовков) выходных данных
 ]=InputOutputDataSplit(DatasHeaders,..//Заголовок таблицы данных (еще не разделенных)
                        Datas,..//Данные (отдельно от заголовка, не разделенные)
                        SelectedDatasHeadersI..//Заголовок входных данных
                        );
                  
//Проверяем результаты
assert_checktrue(isempty(inputData));
assert_checkequal(outputData,Datas);
assert_checktrue(isempty(inputHeader));
assert_checkequal(outputHeader,DatasHeaders);

clear;
