//Данные для тестирования
function [y]=FunP(x,a,b,c)//Расчетная функция с параметрами
    y = a*cos(b*x) + 3*c;
endfunction
Fun = list(FunP,3.3,5.1,2.7);//Вызов расчетной функции с заданием параметров

//Эталонные данные
etIsCountFunction = %t;//Функция является функцией
etHasParametrs = %t;//Функция параметров не имеет

//Запускаем функцию
[isCountFunction..//Факт того, что данные - расчетная функция (с параметрами или без)
 ]=IsCountFunction(Fun..//Функция, для которой нужно установить факт того, что она расчетная функция
                   );
                  
//Проверяем результаты
assert_checkequal(isCountFunction,etIsCountFunction);

//Запускаем функцию
[isCountFunction,..//Факт того, что данные - расчетная функция (с параметрами или без)
 hasParametrs..//Факт того, что расчетная функция имеет параметры
 ]=IsCountFunction(Fun..//Функция, для которой нужно установить факт того, что она расчетная функция
                   );
                  
//Проверяем результаты
assert_checkequal(isCountFunction,etIsCountFunction);
assert_checkequal(hasParametrs,etHasParametrs);

clear;
