//Данные для тестирования
Datas = cell(1, 3);//Данные не табличные
Datas{1} = 'Kefir';
Datas{2} = 0.21;
Datas{3} = list('V1','V2');

//Эталонные данные
etIsTableDatas = %f;//Данные не табличные
etTypeTableDatas = -1;//Данные не табличные

//Запускаем функцию
[isTableDatas..//Факт того, что данные - табличные данные
 ]=IsTableDatas(Datas..//Данные (отдельно от заголовка, не разделенные)
                );
                  
//Проверяем результаты
assert_checkequal(isTableDatas,etIsTableDatas);

//Запускаем функцию
[isTableDatas,..//Факт того, что данные - табличные данные
 typeTableDatas..//Тип анализируемых табличных данных (0 - пустые данные, 1 - вещественные числа, 2 - логические значения (true/false), 3 - строки, -1 - данные не табличные)
 ]=IsTableDatas(Datas..//Данные (отдельно от заголовка, не разделенные)
                );
                  
//Проверяем результаты
assert_checkequal(isTableDatas,etIsTableDatas);
assert_checkequal(typeTableDatas,etTypeTableDatas);

clear;
