//Данные для тестирования
DatasHeaders = [5,76,54,2,1,3,7];
Datas = rand(33, 9);//Данные

//Эталонные данные
etIsTableDatasAndHeaders = %f;//Данные и заголовок совместимы
etIsEmptyTableDatasHeaders = %f;//Заголовок не пустой
etIsEmptyTableDatas = %f;//Данные не пустые

//Запускаем функцию
[isTableDatasAndHeaders,..//Факт того, что данные и заголовок - табличные данные и заголовок не пустые
 isEmptyTableDatasHeaders,..//Факт того, что заголовок табличных данных пустой
 isEmptyTableDatas..//Факт того, что табличные данные пустые
 ]=IsTableDatasAndHeaders(Datas,..//Данные
                          DatasHeaders..//Заголовки данных
                          );
                  
//Проверяем результаты
assert_checkequal(isTableDatasAndHeaders,etIsTableDatasAndHeaders);
assert_checkequal(isEmptyTableDatasHeaders,etIsEmptyTableDatasHeaders);
assert_checkequal(isEmptyTableDatas,etIsEmptyTableDatas);

clear;
