//Данные для тестирования
DatasHeaders = ['eA1','rB1','tA2','wB3','qC1', 'vD1', 'qJ4';..
                'eA1', 'B1', 'A2', 'B3','qC1','rvD1','qqJ4'];
Datas = rand(33, 11);//Данные

//Эталонные данные
etIsTableDatasAndHeaders = %f;//Данные и заголовок совместимы
etIsEmptyTableDatasHeaders = %f;//Заголовок не пустой
etIsEmptyTableDatas = %f;//Данные не пустые

//Запускаем функцию
[isTableDatasAndHeaders,..//Факт того, что данные и заголовок - табличные данные и заголовок не пустые
 isEmptyTableDatasHeaders,..//Факт того, что заголовок табличных данных пустой
 isEmptyTableDatas..//Факт того, что табличные данные пустые
 ]=IsTableDatasAndHeaders(Datas,..//Данные
                          DatasHeaders..//Заголовки данных
                          );
                  
//Проверяем результаты
assert_checkequal(isTableDatasAndHeaders,etIsTableDatasAndHeaders);
assert_checkequal(isEmptyTableDatasHeaders,etIsEmptyTableDatasHeaders);
assert_checkequal(isEmptyTableDatas,etIsEmptyTableDatas);

clear;
