//Данные для тестирования
DatasHeaders = [];
Datas = [];//Данные

//Эталонные данные
etIsTableDatasAndHeaders = %t;//Данные и заголовок совместимы
etIsEmptyTableDatasHeaders = %t;//Заголовок не пустой
etIsEmptyTableDatas = %t;//Данные не пустые

//Запускаем функцию
[isTableDatasAndHeaders,..//Факт того, что данные и заголовок - табличные данные и заголовок не пустые
 isEmptyTableDatasHeaders,..//Факт того, что заголовок табличных данных пустой
 isEmptyTableDatas..//Факт того, что табличные данные пустые
 ]=IsTableDatasAndHeaders(Datas,..//Данные
                          DatasHeaders..//Заголовки данных
                          );
                  
//Проверяем результаты
assert_checkequal(isTableDatasAndHeaders,etIsTableDatasAndHeaders);
assert_checkequal(isEmptyTableDatasHeaders,etIsEmptyTableDatasHeaders);
assert_checkequal(isEmptyTableDatas,etIsEmptyTableDatas);

clear;
