//Данные для тестирования
DatasHeaders = [5,76,54,2,1,3,7];
Datas = rand(33, 9);//Данные

//Эталонные данные
etIsTableDatasAndHeadersNoEmpty = %f;//Данные и заголовок совместимы
etIsTableDatasHeaders = %t;//Заголовок является заголовком табличных данных

//Запускаем функцию
[isTableDatasAndHeadersNoEmpty,..//Факт того, что данные и заголовок - табличные данные и заголовок не пустые
 isTableDatasHeaders..//Заголовок данных
 ]=IsTableDatasAndHeadersNoEmpty(Datas,..//Данные
                                 DatasHeaders..//Заголовки данных
                                 );
                  
//Проверяем результаты
assert_checkequal(isTableDatasAndHeadersNoEmpty,etIsTableDatasAndHeadersNoEmpty);
assert_checkequal(isTableDatasHeaders,etIsTableDatasHeaders);

clear;
