//Данные для тестирования
DatasHeaders = ['eA1','tA2','qC1','eB2','vfA5'];
Datas = rand(33, 5);//Данные

//Эталонные данные
etIsTableDatasAndHeadersNoEmpty = %t;//Данные и заголовок совместимы
etIsTableDatasHeaders = %t;//Заголовок является заголовком табличных данных

//Запускаем функцию
[isTableDatasAndHeadersNoEmpty,..//Факт того, что данные и заголовок - табличные данные и заголовок не пустые
 isTableDatasHeaders..//Заголовок данных
 ]=IsTableDatasAndHeadersNoEmpty(Datas,..//Данные
                                 DatasHeaders..//Заголовки данных
                                 );
                  
//Проверяем результаты
assert_checkequal(isTableDatasAndHeadersNoEmpty,etIsTableDatasAndHeadersNoEmpty);
assert_checkequal(isTableDatasHeaders,etIsTableDatasHeaders);

clear;
