//Данные для тестирования
DatasHeaders = ['A1','B1','A2','A3','B2','A4','A5'];//Заголовки данных
Datas = rand(21, 7);//Данные
SelectedAllDatasExceptHeaders = ['A2','B1','B2'];//Заголовки исключаемых данных

//Данные, которые должны быть выбраны функцией
etSelectedDatasHeader = ['A1','A3','A4','A5'];//Заголовки выделенных данных
etSelectedDatas = Datas(:,[1, 4, 6, 7]);//Выделенные данные

//Запускаем функцию
[selectedDatas,..//Выделенные данные
 selectedDatasHeader..//Заголовок выделенных данных
 ]=SelectionAllDatasExcept(DatasHeaders,..//Заголовок таблицы данных (еще не разделенных)
                           SelectedAllDatasExceptHeaders,..//Заголовок удаленных данных
                           Datas..//Данные (отдельно от заголовка, не разделенные)
                           );
                  
//Проверяем результаты
assert_checkequal(selectedDatasHeader,etSelectedDatasHeader);
assert_checkequal(selectedDatas,etSelectedDatas);

clear;
