//Данные для тестирования
Datas = rand(21, 9);//Данные
SelectedAllDatasExceptHeaders = [4,5,1,6,9,15,20];//Заголовки исключаемых данных

//Данные, которые должны быть выбраны функцией
etSelectedDatasHeader = [2,3,7,8];//Заголовки выделяемых данных
etSelectedDatas = Datas(:,[2, 3, 7, 8]);

//Запускаем функцию
[selectedDatas,..//Выделенные данные
 selectedDatasHeader..//Заголовок выделенных данных
 ]=SelectionAllDatasExcept([],..//Заголовок таблицы данных (еще не разделенных)
                           SelectedAllDatasExceptHeaders,..//Заголовок удаленных данных
                           Datas..//Данные (отдельно от заголовка, не разделенные)
                           );
                  
//Проверяем результаты
assert_checkequal(selectedDatasHeader,etSelectedDatasHeader);
assert_checkequal(selectedDatas,etSelectedDatas);

//Запускаем функцию
[selectedDatas,..//Выделенные данные
 selectedDatasHeader..//Заголовок выделенных данных
 ]=SelectionAllDatasExcept(SelectedAllDatasExceptHeaders,..//Заголовок удаленных данных
                           Datas..//Данные (отдельно от заголовка, не разделенные)
                           );
                  
//Проверяем результаты
assert_checkequal(selectedDatasHeader,etSelectedDatasHeader);
assert_checkequal(selectedDatas,etSelectedDatas);

clear;
