//Данные для тестирования
Datas = rand(21, 7);//Данные
SelectedAllDatasExceptHeaders = [1,11,18];//Заголовки исключаемых данных

//Данные, которые должны быть выбраны функцией
etSelectedDatasHeader = [2:7];//Заголовки выделенных данных
etSelectedDatas = Datas(:,[2:7]);//Выделенные данные

//Запускаем функцию
[selectedDatas,..//Выделенные данные
 selectedDatasHeader..//Заголовок выделенных данных
 ]=SelectionAllDatasExcept([],..//Заголовок таблицы данных (еще не разделенных)
                           SelectedAllDatasExceptHeaders,..//Заголовок удаленных данных
                           Datas..//Данные (отдельно от заголовка, не разделенные)
                           );
                  
//Проверяем результаты
assert_checkequal(selectedDatasHeader,etSelectedDatasHeader);
assert_checkequal(selectedDatas,etSelectedDatas);

//Запускаем функцию
[selectedDatas,..//Выделенные данные
 selectedDatasHeader..//Заголовок выделенных данных
 ]=SelectionAllDatasExcept(SelectedAllDatasExceptHeaders,..//Заголовок удаленных данных
                           Datas..//Данные (отдельно от заголовка, не разделенные)
                           );
                  
//Проверяем результаты
assert_checkequal(selectedDatasHeader,etSelectedDatasHeader);
assert_checkequal(selectedDatas,etSelectedDatas);

clear;
