//Данные для тестирования
Datas = rand(21, 7);//Данные
SelectedDatasHeaders = [3, 2, 5];//Заголовки выделяемых данных

//Данные, которые должны быть выбраны функцией
SelectedDatas = Datas(:,[3, 2, 5]);

//Запускаем функцию
[selectionDatas,..//Выделенные данные
 selectionDatasHeader..//Заголовок выделенных данных
 ]=SelectionDatas([],..//Заголовок таблицы данных (еще не разделенных)
                  SelectedDatasHeaders,..//Заголовок выделенных данных
                  Datas..//Данные (отдельно от заголовка, не разделенные)
                  );
                  
//Проверяем результаты
assert_checkequal(selectionDatasHeader,SelectedDatasHeaders);
assert_checkequal(selectionDatas,SelectedDatas);

//Запускаем функцию
[selectionDatas,..//Выделенные данные
 selectionDatasHeader..//Заголовок выделенных данных
 ]=SelectionDatas(SelectedDatasHeaders,..//Заголовок выделенных данных
                  Datas..//Данные (отдельно от заголовка, не разделенные)
                  );
                  
//Проверяем результаты
assert_checkequal(selectionDatasHeader,SelectedDatasHeaders);
assert_checkequal(selectionDatas,SelectedDatas);

clear;
