//Данные для тестирования
Datas = rand(51, 9);//Данные
SelectedDatasHeaders = [4,5,1,6,9, 15, 20];//Заголовки выделяемых данных
DatasHeaderInterpretate = ['iC3','iYew2','iAd1','iA2','iCc5','iaA2','isCc5'];//Интерпретированные заголовки данных

//Данные, которые должны быть выбраны функцией
SelectedDatasHeaderInterpretate = ['iC3','iYew2','iAd1','iA2','iCc5'];//Интерпретированные заголовки данных
SelectedDatas = Datas(:,[4, 5, 1, 6, 9]);

//Запускаем функцию
[selectionDatas,..//Выделенные данные
 selectionDatasHeaderInterpretate,..//Интерпретированный заголовок выделенных данных
 selectionDatasHeader..//Исходный заголовок выделенных данных
 ]=SelectionDatasInterpretation([],..//Заголовок таблицы данных (еще не разделенных)
                                DatasHeaderInterpretate,..//Интерпретированные заголовки данных
                                SelectedDatasHeaders,..//Заголовок выделенных данных в исходном документе
                                Datas..//Данные (отдельно от заголовка, не разделенные)
                                );
                  
//Проверяем результаты
assert_checkequal(selectionDatasHeaderInterpretate,SelectedDatasHeaderInterpretate);
assert_checkequal(selectionDatas,SelectedDatas);
assert_checkequal(selectionDatasHeader,SelectedDatasHeaderInterpretate);

//Запускаем функцию
[selectionDatas,..//Выделенные данные
 selectionDatasHeaderInterpretate,..//Интерпретированный заголовок выделенных данных
 selectionDatasHeader..//Исходный заголовок выделенных данных
 ]=SelectionDatasInterpretation(DatasHeaderInterpretate,..//Интерпретированные заголовки данных
                                SelectedDatasHeaders,..//Заголовок выделенных данных в исходном документе
                                Datas..//Данные (отдельно от заголовка, не разделенные)
                                );
                  
//Проверяем результаты
assert_checkequal(selectionDatasHeaderInterpretate,SelectedDatasHeaderInterpretate);
assert_checkequal(selectionDatas,SelectedDatas);
assert_checkequal(selectionDatasHeader,SelectedDatasHeaderInterpretate);

clear;
