//Данные для тестирования
DatasHeaders = ['Ad1','Bw1','Ar2','C3','Yew2','A2','A3','C1','Cc5'];//Заголовки данных
Datas = rand(51, 9);//Данные
SelectedDatasHeaders = ['C3','Yew2','Ad1','A2','Cc5'];//Заголовки выделяемых данных
DatasHeaderInterpretate = ['iC3','iYew2','iAd1','iA2','iCc5'];//Интерпретированные заголовки данных

//Данные, которые должны быть выбраны функцией
SelectedDatasHeader = ['C3','Yew2','Ad1','A2','Cc5'];//Исходные заголовки данных
SelectedDatasHeaderInterpretate = ['iC3','iYew2','iAd1','iA2','iCc5'];//Интерпретированные заголовки данных
SelectedDatas = Datas(:,[4, 5, 1, 6, 9]);

//Запускаем функцию
[selectionDatas,..//Выделенные данные
 selectionDatasHeaderInterpretate,..//Интерпретированный заголовок выделенных данных
 selectionDatasHeader..//Исходный заголовок выделенных данных
 ]=SelectionDatasInterpretation(DatasHeaders,..//Заголовок таблицы данных (еще не разделенных)
                                DatasHeaderInterpretate,..//Интерпретированные заголовки данных
                                SelectedDatasHeaders,..//Заголовок выделенных данных в исходном документе
                                Datas..//Данные (отдельно от заголовка, не разделенные)
                                );
                  
//Проверяем результаты
assert_checkequal(selectionDatasHeaderInterpretate,SelectedDatasHeaderInterpretate);
assert_checkequal(selectionDatas,SelectedDatas);
assert_checkequal(selectionDatasHeader,SelectedDatasHeader);

clear;
