//Данные для тестирования
DatasHeaders = ['A1','T1','A2','D3','B2'];//Заголовки данных
Datas = rand(21, 5);//Данные
SelectedDatasHeaders = ['A1','D3','T1'];//Заголовки выделяемых данных
DatasHeaderInterpretate = ['iA1','iD3','iT1'];//Интерпретированные заголовки данных

//Данные, которые должны быть выбраны функцией
SelectedDatasHeader = ['A1','D3','T1'];//Исходные заголовки данных
SelectedDatasHeaderInterpretate = ['iA1','iD3','iT1'];//Интерпретированные заголовки данных
SelectedDatas = Datas(:,[1, 4, 2]);

//Запускаем функцию
[selectionDatas,..//Выделенные данные
 selectionDatasHeaderInterpretate,..//Интерпретированный заголовок выделенных данных
 selectionDatasHeader..//Исходный заголовок выделенных данных
 ]=SelectionDatasInterpretation(DatasHeaders,..//Заголовок таблицы данных (еще не разделенных)
                                DatasHeaderInterpretate,..//Интерпретированные заголовки данных
                                SelectedDatasHeaders,..//Заголовок выделенных данных в исходном документе
                                Datas..//Данные (отдельно от заголовка, не разделенные)
                                );
                  
//Проверяем результаты
assert_checkequal(selectionDatasHeaderInterpretate,SelectedDatasHeaderInterpretate);
assert_checkequal(selectionDatas,SelectedDatas);
assert_checkequal(selectionDatasHeader,SelectedDatasHeader);

clear;
