//Разделение данных на входные и выходные данные
function [DatasDimension..//Размерность данных (всегда рпавна числу заголовков данных)
          ]=DatasDimension(Datas..//Данные, для которых нужно установить факт того, что они табличные данные
                           )
    //Проверяем входные данные
    nArg = argn(2);//Число результатов и аргументов соответственно
    if nArg < 1 then
        error('The function DatasDimension takes 1 argument');
    end
    
    //Проверяем корректность данных
    if ~IsTableDatas(Datas) then
        error('The argument Datas of functions DatasDimension must be string, real or boolean');
    end
    
    //Получаем числа данных
    DatasDimension = size(Datas)(2);
endfunction
