[a,path] = libraryinfo('io_data_integrationlib');
clear a;
path = part(path,1:(length(path) - length('macros'))) + 'testCSV' + filesep();//Путь к csv-файлам

//Данные для тестирования
DatasHeaders = ['C1','D1','C2','C3','D2','C4','C5'];//Заголовки данных
Datas = rand(21, 7);//Данные
CSVFileName = path + 'rdatas19.csv';
datasCSV = [DatasHeaders;string(Datas)];//Данные в формате CSV

//Сохраняем данные в формате csv в файл
write_csv(datasCSV,CSVFileName,';','.');

//Запускаем функцию
[datas,..//Данные
 datasHeaders..//Заголовки данных
 ]=CSVFromFileToDatas(%t,..//Заголовки входных данных
                      CSVFileName,..//Имя csv-файла
                      ";",..//Разделитель
                      "."..//Десятичный разделитель
                      );

//Проверяем полученный результат
assert_checktrue(abs(datas - Datas) < 1E-7);
assert_checkequal(DatasHeaders,datasHeaders);

clear;
