//Данные для тестирования
DatasHeaders = ['Ad1','Bw1','Ar2','C3','Yew2','A2','A3','C1','Cc5'];//Заголовки данных
Datas = rand(51, 9);//Данные
datasCSV = [DatasHeaders;string(Datas)];//Данные в формате CSV

//Запускаем функцию
[datas,..//Данные
 datasHeaders..//Заголовки данных
 ]=CSVToDatas(datasCSV,%t);

//Проверяем полученный результат
assert_checktrue(abs(datas - Datas) < 1E-7);
assert_checkequal(DatasHeaders,datasHeaders);

clear;
