//Данные для тестирования
Datas = rand(21, 5);//Данные
isVectorized = %f;

//Функции для тестирования
function [y]=FunP(x,a,b,c,d,e)
    function y=F1(t)//Функция правой части
        y = a*tan(t) + t - 8.1*x(1)^2 - 0.171*x(2)^2;
    endfunction
    function y=F2(t)//Функция правой части
        y = e*t^5 + t - b*x(1)^2 - d*x(2)^2;
    endfunction
    y = [fsolve(0.0,F1),fsolve(0.0,F2),c*x(1)^3 - 0.471*x(2)^4];
endfunction
Fun = list(FunP,0.369,0.15,1.35,2.73,3.3);
argumentsNames = [1, 3];

//Тестовый результат
eRezults = [];
for ind=1:21
    eRezults = [eRezults;FunP(Datas(ind,[1, 3]),0.369,0.15,1.35,2.73,3.3)];
end

//Запускаем функцию
Rezults = CountFunction(Datas,..//Входные данные
                        [],..//Заголовки входных данных
                        Fun,..//Функция
                        argumentsNames,..//Имена (индексы) аргументов
                        isVectorized..//Векторизованы ли функции
                        );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);

//Запускаем функцию
Rezults = CountFunction(Datas,..//Входные данные
                        Fun,..//Функция
                        argumentsNames,..//Имена (индексы) аргументов
                        isVectorized..//Векторизованы ли функции
                        );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);

Fun = list('FunP',0.369,0.15,1.35,2.73,3.3);

//Запускаем функцию
Rezults = CountFunction(Datas,..//Входные данные
                        [],..//Заголовки входных данных
                        Fun,..//Функция
                        argumentsNames,..//Имена (индексы) аргументов
                        isVectorized..//Векторизованы ли функции
                        );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);

//Запускаем функцию
Rezults = CountFunction(Datas,..//Входные данные
                        Fun,..//Функция
                        argumentsNames,..//Имена (индексы) аргументов
                        isVectorized..//Векторизованы ли функции
                        );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);

clear;
