//Данные для тестирования
Datas = rand(27, 7);//Данные
isVectorized = %t;//Все функции векторизованы

//Функции для тестирования
function [y]=Fun(x)
    y = 0.3*x.^3 + 5.1*x + 6.63*cos(x) - 1.83;
endfunction

//Тестовый результат
eRezults = Fun(Datas);

//Запускаем функцию
Rezults = CountRezults(Datas,..//Входные данные
                       [],..//Заголовки входных данных
                       Fun,..//Функции
                       [],..//Имена (индексы) аргументов
                       [],..//Имена (индексы) выходных значений функций
                       isVectorized..//Векторизованы ли функции
                       );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);

//Запускаем функцию
[Rezults,..
 RezultsHeader] = CountRezults(Datas,..//Входные данные
                               [],..//Заголовки входных данных
                               Fun,..//Функции
                               [],..//Имена (индексы) аргументов
                               [],..//Имена (индексы) выходных значений функций
                               isVectorized..//Векторизованы ли функции
                               );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);
assert_checktrue(isempty(RezultsHeader));

//Запускаем функцию
Rezults = CountRezults(Datas,..//Входные данные
                       Fun,..//Функции
                       [],..//Имена (индексы) аргументов
                       [],..//Имена (индексы) выходных значений функций
                       isVectorized..//Векторизованы ли функции
                       );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);

//Запускаем функцию
[Rezults,..
 RezultsHeader] = CountRezults(Datas,..//Входные данные
                               Fun,..//Функции
                               [],..//Имена (индексы) аргументов
                               [],..//Имена (индексы) выходных значений функций
                               isVectorized..//Векторизованы ли функции
                               );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);
assert_checktrue(isempty(RezultsHeader));

//Запускаем функцию
Rezults = CountRezults(Datas,..//Входные данные
                       [],..//Заголовки входных данных
                       Fun,..//Функции
                       [],..//Имена (индексы) аргументов
                       []..//Имена (индексы) результатов
                       );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);

//Запускаем функцию
[Rezults,..
 RezultsHeader] = CountRezults(Datas,..//Входные данные
                               [],..//Заголовки входных данных
                               Fun,..//Функции
                               [],..//Имена (индексы) аргументов
                               []..//Имена (индексы) выходных значений функций
                               );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);
assert_checktrue(isempty(RezultsHeader));

//Запускаем функцию
Rezults = CountRezults(Datas,..//Входные данные
                       Fun,..//Функции
                       [],..//Имена (индексы) аргументов
                       []..//Имена (индексы) результатов
                       );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);

//Запускаем функцию
[Rezults,..
 RezultsHeader] = CountRezults(Datas,..//Входные данные
                               Fun,..//Функции
                               [],..//Имена (индексы) аргументов
                               []..//Имена (индексы) выходных значений функций
                               );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);
assert_checktrue(isempty(RezultsHeader));

//Запускаем функцию
Rezults = CountRezults(Datas,..//Входные данные
                       [],..//Заголовки входных данных
                       'Fun',..//Функции
                       [],..//Имена (индексы) аргументов
                       [],..//Имена (индексы) выходных значений функций
                       isVectorized..//Векторизованы ли функции
                       );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);

//Запускаем функцию
[Rezults,..
 RezultsHeader] = CountRezults(Datas,..//Входные данные
                               [],..//Заголовки входных данных
                               'Fun',..//Функции
                               [],..//Имена (индексы) аргументов
                               [],..//Имена (индексы) выходных значений функций
                               isVectorized..//Векторизованы ли функции
                               );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);
assert_checktrue(isempty(RezultsHeader));

//Запускаем функцию
Rezults = CountRezults(Datas,..//Входные данные
                       'Fun',..//Функции
                       [],..//Имена (индексы) аргументов
                       [],..//Имена (индексы) выходных значений функций
                       isVectorized..//Векторизованы ли функции
                       );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);

//Запускаем функцию
[Rezults,..
 RezultsHeader] = CountRezults(Datas,..//Входные данные
                               'Fun',..//Функции
                               [],..//Имена (индексы) аргументов
                               [],..//Имена (индексы) выходных значений функций
                               isVectorized..//Векторизованы ли функции
                               );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);
assert_checktrue(isempty(RezultsHeader));

//Запускаем функцию
Rezults = CountRezults(Datas,..//Входные данные
                       [],..//Заголовки входных данных
                       'Fun',..//Функции
                       [],..//Имена (индексы) аргументов
                       []..//Имена (индексы) результатов
                       );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);

//Запускаем функцию
[Rezults,..
 RezultsHeader] = CountRezults(Datas,..//Входные данные
                               [],..//Заголовки входных данных
                               'Fun',..//Функции
                               [],..//Имена (индексы) аргументов
                               []..//Имена (индексы) выходных значений функций
                               );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);
assert_checktrue(isempty(RezultsHeader));

//Запускаем функцию
Rezults = CountRezults(Datas,..//Входные данные
                       'Fun',..//Функции
                       [],..//Имена (индексы) аргументов
                       []..//Имена (индексы) результатов
                       );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);

//Запускаем функцию
[Rezults,..
 RezultsHeader] = CountRezults(Datas,..//Входные данные
                               'Fun',..//Функции
                               [],..//Имена (индексы) аргументов
                               []..//Имена (индексы) выходных значений функций
                               );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);
assert_checktrue(isempty(RezultsHeader));

clear;
