//Данные для тестирования
Datas = rand(33, 7);//Данные
eraseDatasIndexes = repmat(%t,[33,2]);//Индексы удаляемых данных
eraseDatasIndexes([1, 2, 5, 7, 10, 15, 20, 30],:) = %f;
eraseDatasIndexes([3, 31, 27, 25],1) = %f;
eraseDatasIndexes([4,  6, 17, 23],2) = %f;

//Данные для проверки результата добавления
eSelectionDatas = Datas([1, 2, 5, 7, 10, 15, 20, 30],:);

//Вызываем функцию
selectionDatas = EraseDatasSubset(Datas,..//Исходные данные
                                  eraseDatasIndexes..//Индексы удаляемых совокупностей данных
                                  );

//Проверяем результат
assert_checktrue(abs(selectionDatas - eSelectionDatas) < 1E-12);

clear;
