//Данные для тестирования
Datas = rand(21, 7);//Данные
SelectedDatasHeadersI = [20];//Заголовки выделяемых входных данных
SelectedDatasHeadersO = [30, 40];//Заголовки выделяемых выходных данных

//Запускаем функцию
[inputData,..//Входные данные
 outputData,..//Выходные данные
 inputHeader,..//Заголовки (или индексы в случае без заголовков) входных данных
 outputHeader..//заголовки (или индексы в случае без заголовков) выходных данных
 ]=InputOutputDataSplit([],..//Заголовок таблицы данных (еще не разделенных)
                        Datas,..//Данные (отдельно от заголовка, не разделенные)
                        SelectedDatasHeadersI,..//Заголовок входных данных
                        SelectedDatasHeadersO..//Заголовок выходных данных
                        );
                
//Проверяем результаты
assert_checktrue(isempty(inputData));
assert_checktrue(isempty(outputData));
assert_checktrue(isempty(inputHeader));
assert_checktrue(isempty(outputHeader));
  
//Запускаем функцию
[inputData,..//Входные данные
 outputData,..//Выходные данные
 inputHeader,..//Заголовки (или индексы в случае без заголовков) входных данных
 outputHeader..//заголовки (или индексы в случае без заголовков) выходных данных
 ]=InputOutputDataSplit(Datas,..//Данные (отдельно от заголовка, не разделенные)
                        SelectedDatasHeadersI,..//Заголовок входных данных
                        SelectedDatasHeadersO..//Заголовок выходных данных
                        );
                  
//Проверяем результаты
assert_checktrue(isempty(inputData));
assert_checktrue(isempty(outputData));
assert_checktrue(isempty(inputHeader));
assert_checktrue(isempty(outputHeader));

//Тестовый заголовок
etOutputData = 1:size(Datas)(2);

//Запускаем функцию
[inputData,..//Входные данные
 outputData,..//Выходные данные
 inputHeader,..//Заголовки (или индексы в случае без заголовков) входных данных
 outputHeader..//заголовки (или индексы в случае без заголовков) выходных данных
 ]=InputOutputDataSplit([],..//Заголовок таблицы данных (еще не разделенных)
                        Datas,..//Данные (отдельно от заголовка, не разделенные)
                        SelectedDatasHeadersI..//Заголовок входных данных
                        );
                
//Проверяем результаты
assert_checktrue(isempty(inputData));
assert_checkequal(outputData,Datas);
assert_checktrue(isempty(inputHeader));
assert_checkequal(outputHeader,etOutputData);
  
//Запускаем функцию
[inputData,..//Входные данные
 outputData,..//Выходные данные
 inputHeader,..//Заголовки (или индексы в случае без заголовков) входных данных
 outputHeader..//заголовки (или индексы в случае без заголовков) выходных данных
 ]=InputOutputDataSplit(Datas,..//Данные (отдельно от заголовка, не разделенные)
                        SelectedDatasHeadersI..//Заголовок входных данных
                        );
                  
//Проверяем результаты
assert_checktrue(isempty(inputData));
assert_checkequal(outputData,Datas);
assert_checktrue(isempty(inputHeader));
assert_checkequal(outputHeader,etOutputData);

clear;
