//Данные для тестирования
Datas = rand(39, 5);//Данные
SelectedDatasHeadersI = [20, 21];//Заголовки выделяемых входных данных
SelectedDatasHeadersO = [3, 5];//Заголовки выделяемых выходных данных

//Данные, которые должны быть выбраны функцией
SelectedDatasO = Datas(:,[3, 5]);

//Запускаем функцию
[inputData,..//Входные данные
 outputData,..//Выходные данные
 inputHeader,..//Заголовки (или индексы в случае без заголовков) входных данных
 outputHeader..//заголовки (или индексы в случае без заголовков) выходных данных
 ]=InputOutputDataSplit([],..//Заголовок таблицы данных (еще не разделенных)
                        Datas,..//Данные (отдельно от заголовка, не разделенные)
                        SelectedDatasHeadersI,..//Заголовок входных данных
                        SelectedDatasHeadersO..//Заголовок выходных данных
                        );
                  
//Проверяем результаты
assert_checktrue(isempty(inputData));
assert_checkequal(outputData,SelectedDatasO);
assert_checktrue(isempty(inputHeader));
assert_checkequal(outputHeader,SelectedDatasHeadersO);

//Запускаем функцию
[inputData,..//Входные данные
 outputData,..//Выходные данные
 inputHeader,..//Заголовки (или индексы в случае без заголовков) входных данных
 outputHeader..//заголовки (или индексы в случае без заголовков) выходных данных
 ]=InputOutputDataSplit(Datas,..//Данные (отдельно от заголовка, не разделенные)
                        SelectedDatasHeadersI,..//Заголовок входных данных
                        SelectedDatasHeadersO..//Заголовок выходных данных
                        );
                  
//Проверяем результаты
assert_checktrue(isempty(inputData));
assert_checkequal(outputData,SelectedDatasO);
assert_checktrue(isempty(inputHeader));
assert_checkequal(outputHeader,SelectedDatasHeadersO);

//Тестовые данные
eDatasHeaders = 1:size(Datas)(2);

//Запускаем функцию
[inputData,..//Входные данные
 outputData,..//Выходные данные
 inputHeader,..//Заголовки (или индексы в случае без заголовков) входных данных
 outputHeader..//заголовки (или индексы в случае без заголовков) выходных данных
 ]=InputOutputDataSplit([],..//Заголовок таблицы данных (еще не разделенных)
                        Datas,..//Данные (отдельно от заголовка, не разделенные)
                        SelectedDatasHeadersI..//Заголовок входных данных
                        );
                  
//Проверяем результаты
assert_checktrue(isempty(inputData));
assert_checkequal(outputData,Datas);
assert_checktrue(isempty(inputHeader));
assert_checkequal(outputHeader,eDatasHeaders);

//Запускаем функцию
[inputData,..//Входные данные
 outputData,..//Выходные данные
 inputHeader,..//Заголовки (или индексы в случае без заголовков) входных данных
 outputHeader..//заголовки (или индексы в случае без заголовков) выходных данных
 ]=InputOutputDataSplit(Datas,..//Данные (отдельно от заголовка, не разделенные)
                        SelectedDatasHeadersI..//Заголовок входных данных
                        );
                  
//Проверяем результаты
assert_checktrue(isempty(inputData));
assert_checkequal(outputData,Datas);
assert_checktrue(isempty(inputHeader));
assert_checkequal(outputHeader,eDatasHeaders);

clear;
