//Данные для тестирования
DatasHeaders = ['C1','AT1','C2','F3','D2'];//Заголовки данных
Datas = rand(39, 5);//Данные
SelectedDatasHeadersI = ['C1','F3','AT1','At2'];//Заголовки выделяемых входных данных
SelectedDatasHeadersO = ['C2','D2','Re2','rw1'];//Заголовки выделяемых выходных данных

//Данные, которые должны быть выбраны функцией
etSelectedDatasHeadersI = ['C1','F3','AT1'];//Заголовки выделяемых входных данных
etSelectedDatasHeadersO = ['C2','D2'];//Заголовки выделяемых выходных данных
SelectedDatasI = Datas(:,[1, 4, 2]);
SelectedDatasO = Datas(:,[3, 5]);

//Запускаем функцию
[inputData,..//Входные данные
 outputData,..//Выходные данные
 inputHeader,..//Заголовки (или индексы в случае без заголовков) входных данных
 outputHeader..//заголовки (или индексы в случае без заголовков) выходных данных
 ]=InputOutputDataSplit(DatasHeaders,..//Заголовок таблицы данных (еще не разделенных)
                        Datas,..//Данные (отдельно от заголовка, не разделенные)
                        SelectedDatasHeadersI,..//Заголовок входных данных
                        SelectedDatasHeadersO..//Заголовок выходных данных
                        );
                  
//Проверяем результаты
assert_checkequal(inputData,SelectedDatasI);
assert_checkequal(outputData,SelectedDatasO);
assert_checkequal(inputHeader,etSelectedDatasHeadersI);
assert_checkequal(outputHeader,etSelectedDatasHeadersO);

//Запускаем функцию
[inputData,..//Входные данные
 outputData,..//Выходные данные
 inputHeader,..//Заголовки (или индексы в случае без заголовков) входных данных
 outputHeader..//заголовки (или индексы в случае без заголовков) выходных данных
 ]=InputOutputDataSplit(DatasHeaders,..//Заголовок таблицы данных (еще не разделенных)
                        Datas,..//Данные (отдельно от заголовка, не разделенные)
                        SelectedDatasHeadersI..//Заголовок входных данных
                        );
                  
//Проверяем результаты
assert_checkequal(inputData,SelectedDatasI);
assert_checkequal(outputData,SelectedDatasO);
assert_checkequal(inputHeader,etSelectedDatasHeadersI);
assert_checkequal(outputHeader,etSelectedDatasHeadersO);

clear;
