//Данные для тестирования
function [y]=Fun(x)//Расчетная функция
    y = 5.1*sin(3*x);
endfunction

//Эталонные данные
etIsCountFunction = %t;//Функция является функцией
etHasParametrs = %f;//Функция параметров не имеет

//Запускаем функцию
[isCountFunction..//Факт того, что данные - расчетная функция (с параметрами или без)
 ]=IsCountFunction(Fun..//Функция, для которой нужно установить факт того, что она расчетная функция
                   );
                  
//Проверяем результаты
assert_checkequal(isCountFunction,etIsCountFunction);

//Запускаем функцию
[isCountFunction,..//Факт того, что данные - расчетная функция (с параметрами или без)
 hasParametrs..//Факт того, что расчетная функция имеет параметры
 ]=IsCountFunction(Fun..//Функция, для которой нужно установить факт того, что она расчетная функция
                   );
                  
//Проверяем результаты
assert_checkequal(isCountFunction,etIsCountFunction);
assert_checkequal(hasParametrs,etHasParametrs);

clear;
