//Данные для тестирования
DatasHeaders = [1,2, 5, 3,11,13,15,67,54,12,13,24,28,17,19;..
                7,9,18,20,21, 2,16,67,54,12,13,24,28,17,19];
Datas = rand(39, 15);//Данные

//Эталонные данные
etIsTableDatasAndHeaders = %f;//Данные и заголовок совместимы
etIsEmptyTableDatasHeaders = %f;//Заголовок не пустой
etIsEmptyTableDatas = %f;//Данные не пустые

//Запускаем функцию
[isTableDatasAndHeaders,..//Факт того, что данные и заголовок - табличные данные и заголовок не пустые
 isEmptyTableDatasHeaders,..//Факт того, что заголовок табличных данных пустой
 isEmptyTableDatas..//Факт того, что табличные данные пустые
 ]=IsTableDatasAndHeaders(Datas,..//Данные
                          DatasHeaders..//Заголовки данных
                          );
                  
//Проверяем результаты
assert_checkequal(isTableDatasAndHeaders,etIsTableDatasAndHeaders);
assert_checkequal(isEmptyTableDatasHeaders,etIsEmptyTableDatasHeaders);
assert_checkequal(isEmptyTableDatas,etIsEmptyTableDatas);

clear;
