//Данные для тестирования
DatasHeaders = [ 'A1', 'B1', 'A2', 'B3', 'C1', 'D1', 'J4';..
                'qA1','tB1','eA2','uB3','nC1','oD1','pJ4'];
Datas = [];//Данные

//Эталонные данные
etIsTableDatasAndHeaders = %f;//Данные и заголовок совместимы
etIsEmptyTableDatasHeaders = %f;//Заголовок не пустой
etIsEmptyTableDatas = %t;//Данные не пустые

//Запускаем функцию
[isTableDatasAndHeaders,..//Факт того, что данные и заголовок - табличные данные и заголовок не пустые
 isEmptyTableDatasHeaders,..//Факт того, что заголовок табличных данных пустой
 isEmptyTableDatas..//Факт того, что табличные данные пустые
 ]=IsTableDatasAndHeaders(Datas,..//Данные
                          DatasHeaders..//Заголовки данных
                          );
                  
//Проверяем результаты
assert_checkequal(isTableDatasAndHeaders,etIsTableDatasAndHeaders);
assert_checkequal(isEmptyTableDatasHeaders,etIsEmptyTableDatasHeaders);
assert_checkequal(isEmptyTableDatas,etIsEmptyTableDatas);

clear;
