//Данные для тестирования
DatasHeaders = [1,2, 5, 3,11,13,15,67,54,12,13,24,28,17,19;..
                7,9,18,20,21, 2,16,67,54,12,13,24,28,17,19];
Datas = rand(39, 15);//Данные

//Эталонные данные
etIsTableDatasAndHeadersNoEmpty = %f;//Данные и заголовок совместимы
etIsTableDatasHeaders = %f;//Заголовок является заголовком табличных данных

//Запускаем функцию
[isTableDatasAndHeadersNoEmpty,..//Факт того, что данные и заголовок - табличные данные и заголовок не пустые
 isTableDatasHeaders..//Заголовок данных
 ]=IsTableDatasAndHeadersNoEmpty(Datas,..//Данные
                                 DatasHeaders..//Заголовки данных
                                 );
                  
//Проверяем результаты
assert_checkequal(isTableDatasAndHeadersNoEmpty,etIsTableDatasAndHeadersNoEmpty);
assert_checkequal(isTableDatasHeaders,etIsTableDatasHeaders);

clear;
