//Данные для тестирования
DatasHeaders = ['Ad1','Bw1','Ar2','C3','Yew2','A2','A3','C1','Cc5'];//Заголовки данных
Datas = rand(21, 9);//Данные
SelectedAllDatasExceptHeaders = ['C3','Yew2','Ad1','A2','Cc5','Cd3','Li6'];//Заголовки исключаемых данных

//Данные, которые должны быть выбраны функцией
etSelectedDatasHeader = ['Bw1','Ar2','A3','C1'];//Заголовки выделяемых данных
etSelectedDatas = Datas(:,[2, 3, 7, 8]);

//Запускаем функцию
[selectedDatas,..//Выделенные данные
 selectedDatasHeader..//Заголовок выделенных данных
 ]=SelectionAllDatasExcept(DatasHeaders,..//Заголовок таблицы данных (еще не разделенных)
                           SelectedAllDatasExceptHeaders,..//Заголовок удаленных данных
                           Datas..//Данные (отдельно от заголовка, не разделенные)
                           );
                  
//Проверяем результаты
assert_checkequal(selectedDatasHeader,etSelectedDatasHeader);
assert_checkequal(selectedDatas,etSelectedDatas);

clear;
