//Данные для тестирования
Datas = rand(21, 7);//Данные
SelectedDatasHeaders = [3, 2, 5, 11];//Заголовки выделяемых данных

//Данные, которые должны быть выбраны функцией
etSelectedDatasHeaders = [3, 2, 5];//Заголовки выделяемых данных
etSelectedDatas = Datas(:,[3, 2, 5]);

//Запускаем функцию
[selectedDatas,..//Выделенные данные
 selectedDatasHeader..//Заголовок выделенных данных
 ]=SelectionDatas([],..//Заголовок таблицы данных (еще не разделенных)
                  SelectedDatasHeaders,..//Заголовок выделенных данных
                  Datas..//Данные (отдельно от заголовка, не разделенные)
                  );
                  
//Проверяем результаты
assert_checkequal(selectedDatasHeader,etSelectedDatasHeaders);
assert_checkequal(selectedDatas,etSelectedDatas);

//Запускаем функцию
[selectedDatas,..//Выделенные данные
 selectedDatasHeader..//Заголовок выделенных данных
 ]=SelectionDatas(SelectedDatasHeaders,..//Заголовок выделенных данных
                  Datas..//Данные (отдельно от заголовка, не разделенные)
                  );
                  
//Проверяем результаты
assert_checkequal(selectedDatasHeader,etSelectedDatasHeaders);
assert_checkequal(selectedDatas,etSelectedDatas);

clear;
