//Данные для тестирования
Datas = rand(21, 7);//Данные
SelectedDatasHeaders = [3,2,5,11,16];//Заголовки выделяемых данных
DatasHeaderInterpretate = ['iA2','iB1','iB2','iaA45','ib33'];//Интерпретированные заголовки данных

//Данные, которые должны быть выбраны функцией
SelectedDatasHeaderInterpretate = ['iA2','iB1','iB2'];//Интерпретированные заголовки данных
SelectedDatas = Datas(:,[3, 2, 5]);

//Запускаем функцию
[selectionDatas,..//Выделенные данные
 selectionDatasHeaderInterpretate,..//Интерпретированный заголовок выделенных данных
 selectionDatasHeader..//Исходный заголовок выделенных данных
 ]=SelectionDatasInterpretation([],..//Заголовок таблицы данных (еще не разделенных)
                                DatasHeaderInterpretate,..//Интерпретированные заголовки данных
                                SelectedDatasHeaders,..//Заголовок выделенных данных в исходном документе
                                Datas..//Данные (отдельно от заголовка, не разделенные)
                                );
                  
//Проверяем результаты
assert_checkequal(selectionDatasHeaderInterpretate,SelectedDatasHeaderInterpretate);
assert_checkequal(selectionDatas,SelectedDatas);
assert_checkequal(selectionDatasHeader,SelectedDatasHeaderInterpretate);

//Запускаем функцию
[selectionDatas,..//Выделенные данные
 selectionDatasHeaderInterpretate,..//Интерпретированный заголовок выделенных данных
 selectionDatasHeader..//Исходный заголовок выделенных данных
 ]=SelectionDatasInterpretation(DatasHeaderInterpretate,..//Интерпретированные заголовки данных
                                SelectedDatasHeaders,..//Заголовок выделенных данных в исходном документе
                                Datas..//Данные (отдельно от заголовка, не разделенные)
                                );
                  
//Проверяем результаты
assert_checkequal(selectionDatasHeaderInterpretate,SelectedDatasHeaderInterpretate);
assert_checkequal(selectionDatas,SelectedDatas);
assert_checkequal(selectionDatasHeader,SelectedDatasHeaderInterpretate);

clear;
